<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:m="http://docs.oasis-open.org/legaldocml/ns/modular/1.0"
	xmlns:akn="http://docs.oasis-open.org/legaldocml/ns/akn/3.0" exclude-result-prefixes="m" version="3.0">

	<xsl:param name="modules">core modifications smallHierarchy legislativeDocs generic components</xsl:param>
	<xsl:param name="falsemodules">advancedRefs advancedMetadata advancedPreface toc tblock semantic publishing 
		delimiters html table generic additionalGeneric outOfLine popup</xsl:param>
	<xsl:variable name="complete" select="'complete' = $modules"/>
	<xsl:variable name="sequence" select="tokenize($modules,'\s+')"/>
	<xsl:output indent="true" method="xml" />

	<xsl:template name="copy">
		<xsl:copy>
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="* | text() | comment()" />
		</xsl:copy>
	</xsl:template>

	<xsl:template match="*[@m:if]" priority="5">
		<xsl:variable name="if" select="tokenize(@m:if,'\s+')"/>
		<xsl:if test="$complete or (every $x in $if satisfies $x = $sequence)">
			<xsl:call-template name="copy" />
		</xsl:if>
	</xsl:template>

	<xsl:template match="*">
		<xsl:call-template name="copy" />
	</xsl:template>

	<xsl:template match="@*">
		<xsl:copy-of select="." />
	</xsl:template>

	<xsl:template match="@m:if" />

	<xsl:template match="m:content">
		<xsl:choose>
			<xsl:when test="not(contains($modules, 'complete'))">Automatically generated modular subversion from the full
		schema. Current subversion contains the following modules: 
		<xsl:value-of select="$modules" /> 
				
		Please consult http://www.akomantoso.org/subversions for more information </xsl:when>
			<xsl:otherwise> Complete version. </xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
